Create or update flow with template
curl --request PUT \
--url https://app.kosli.com/api/v2/flows/{org}/template_file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'data_json={
"name": "<string>",
"description": "<string>"
}' \
--form 'template_file=<string>'import requests
url = "https://app.kosli.com/api/v2/flows/{org}/template_file"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data_json\"\r\n\r\n{\r\n \"name\": \"<string>\",\r\n \"description\": \"<string>\"\r\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"template_file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('data_json', '{
"name": "<string>",
"description": "<string>"
}');
form.append('template_file', '<string>');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.kosli.com/api/v2/flows/{org}/template_file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>""<string>"{
"message": "<string>",
"errors": {}
}Create or update flow with template
Create or update a flow for an organization.
PUT
/
flows
/
{org}
/
template_file
Create or update flow with template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
multipart/form-data
Response
Successful flow update
The response is of type string.
Last modified on June 18, 2026
⌘I